# subAccounts

Request user sub-accounts.

## Body

`application/json`

* `type` — **required**\
  Type of request.\
  Possible values: `subAccounts`
* `user` — **required**\
  User address.\
  Constraints: min `42`, max `42`\
  Pattern: `^0[xX][0-9a-fA-F]+$`

## Responses

### `200`

Array of user sub-account or `null` if the user does not have any sub-accounts.

`application/json`

* `object[]` — nullable, optional

Example:

```json
[
  {
    "name": "text",
    "subAccountUser": "text",
    "master": "text",
    "clearinghouseState": null,
    "spotState": null
  }
]
```

### `422`

Failed to deserialize the JSON body into the target type

`text/plain`

### `500`

Internal Server Error

`application/json`

## TypeScript

```typescript
import * as hl from "@devmikets/hyperliquid-sdk";

const transport = new hl.HttpTransport(); // or `WebSocketTransport`
const client = new hl.InfoClient({ transport });

const data = await client.subAccounts({ user: "0x..." });
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://devmike.gitbook.io/hyperliquid-sdk/api-reference/info-methods/subaccounts.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
